Subject: Re: [2.6 patch] ip_conntrack_helper_h323.c: EXPORT_SYMBOL'ed functions shouldn't be static

From: Adrian Bunk <[email-masked]>
Date: Fri, 24 Mar 2006 01:29:07 +0100

On Thu, Mar 23, 2006 at 04:13:14PM -0800, David S. Miller wrote:
> From: Adrian Bunk <[email-masked]>
> Date: Fri, 24 Mar 2006 01:08:01 +0100
> 
> > EXPORT_SYMBOL'ed functions shouldn't be static.
> > 
> > Signed-off-by: Adrian Bunk <[email-masked]>
> 
> Fixed in Linus's tree as of yesterday.

Sorry for missing this, this must have been after Andrew pulled Linus' 
tree for creating 2.6.16-mm1 (which is where I was looking at).

> I actually have a patch from Patrick McHardy that will make
> this kind of error a build time failure instead of silently
> working in the modular case.  I just need to test it out
> a bit before pushing.

Yes, it would be nice if it would also fail in CONFIG_MODULES=y builds.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed